BlackBerry Forums Support Community
              

Closed Thread
 
Thread Tools
Old 10-11-2005, 04:34 PM   #1
HouBBAdmin
Knows Where the Search Button Is
 
Join Date: Aug 2005
Model: 8700c
Carrier: Cingular
Posts: 15
Default Knife Edge Upgrade

Please Login to Remove!

I'm currently planning a hardware refresh of our BES 3.6.2.14 server along with an upgrade to BES 4.0 SP2. We are currently using MSDE 2000 and will continue to use it with BES 4.0. We currently have 120 users. I will be using the same SRP for the new hardware/BES 4.0. I have 3 quesitons.

1. Can I knife edge from old hardware/3.6 to new hardware/4.0 in one step?
2. If this will work, how would I do it.
3. Does BES 4.0 SP2 require SP1 or is cumulative?

I have searched this forum, but have not found a clear answer/method to my question. I think this will work, I just don't know how the database gets converted from 3.6 to 4.0. Thanks in advance.
Offline  
Old 10-11-2005, 06:21 PM   #2
greywolfe
Talking BlackBerry Encyclopedia
 
greywolfe's Avatar
 
Join Date: Mar 2005
Location: NSW, Australia
Model: 8100
Carrier: optus
Posts: 303
Default

You can go directly to SP2 if you wish. Just remember, before your upgrade, be sure to apply at least service pack 3 to your 3.6 installation.
__________________
BES Admin, sometime God.
Offline  
Old 10-11-2005, 07:27 PM   #3
HouBBAdmin
Knows Where the Search Button Is
 
Join Date: Aug 2005
Model: 8700c
Carrier: Cingular
Posts: 15
Default Clarification

My new hardware will already have BES 4.0 SP2. I won't be upgrading the BES 3.6 server. I will hopefully be able to export the databases out of 3.6 and import them into 4.0. I want to have the 3.6 server there for a possible rollback if something fails with the 4.0 cutover. Is this possible?
Offline  
Old 10-11-2005, 08:53 PM   #4
greywolfe
Talking BlackBerry Encyclopedia
 
greywolfe's Avatar
 
Join Date: Mar 2005
Location: NSW, Australia
Model: 8100
Carrier: optus
Posts: 303
Default

If you want to import the databases and then run the install over the top of them, they still need to be post-sp3. Install will kill them if they aren't.
__________________
BES Admin, sometime God.
Offline  
Old 10-11-2005, 09:04 PM   #5
cantcatchme
New Member
 
Join Date: Oct 2005
Model: 7290
Posts: 4
Default It is possible

You will need to make sure that the bb server name (do not confuse with system hostname) is identical. You also have to make sure you are not using the same SRP identifier on both machines at the same time. When you are ready to do the transfer shut down the services on the old server and turn on the services with the new server.

I would put the same version on the new server and then do the transfer. When sucessful, then upgrade to 4.0 This keeps the databases the same between both hardware versions.

Good luck.
Offline  
Old 10-11-2005, 11:37 PM   #6
jibi
BlackBerry God
 
jibi's Avatar
 
Join Date: Oct 2004
Location: Jibi's Secret Place
Model: 8900
OS: 4.6.1.174
Carrier: AT&T
Posts: 11,310
Default

typically speaking, RIM suggests doing the upgrade first, then the knife-edge cutover; but the above statement is true - you will want to knife-edge on same versions only.
__________________
In the beginning the Universe was created. This has made a lot of people very angry and is widely regarded as a bad move.
Offline  
Old 10-12-2005, 12:08 AM   #7
T-Roy
CrackBerry Addict
 
T-Roy's Avatar
 
Join Date: Jan 2005
Model: 8800
Carrier: Darth Vader
Posts: 704
Default

Review KB-04366: How To - Upgrade from BlackBerry Enterprise Server 3.6 to 4.0, and move to a new server

http://www.blackberry.com/knowledgec...77701&vernum=2
Offline  
Old 10-12-2005, 09:31 AM   #8
HouBBAdmin
Knows Where the Search Button Is
 
Join Date: Aug 2005
Model: 8700c
Carrier: Cingular
Posts: 15
Default

Thanks everyone. So would it be better to

- Upgrade from 3.6.2 to 3.6.3 to 4.0 on old hardware and then knife-edge to new hardware
OR
- Knife edge 3.6.2 to new hardware and then upgrade to 3.6.3 to 4.0?
Offline  
Old 10-12-2005, 02:23 PM   #9
T-Roy
CrackBerry Addict
 
T-Roy's Avatar
 
Join Date: Jan 2005
Model: 8800
Carrier: Darth Vader
Posts: 704
Default

Doesn't really matter. The KB says to upgrade the old machine to 4.0 but you can do either way. If your hadware doesnt meet the specs to run 4.0 I'de recommend cutting over 3.6 to 3.6 and then upgrading.
Offline  
Old 10-12-2005, 03:28 PM   #10
HouBBAdmin
Knows Where the Search Button Is
 
Join Date: Aug 2005
Model: 8700c
Carrier: Cingular
Posts: 15
Default

Thanks everyone. I will knife edge to new hardware and then upgrade. I have RIMs Technical Advisory on knife edge cutovers. Anyone know of any "gotchas" that aren't documented or other tips on doing the cutover?
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Vintage 11" MacAcademy Mac Academy Macintosh 3 Ring Binder
$2.0
Vintage 11Vintage V MAC Pipe Threader Manual 1/4 3/8 1/2 3/4 INCH THREADERS
$45.0
Vintage V MAC Pipe Threader Manual 1/4 3/8 1/2 3/4 INCH THREADERS picture9 Vintage Mac Tools Socket Lot
$19.99
9 Vintage Mac Tools Socket Lot pictureVintage Dan Mac Loud Ring Extension Bell School Gas Telephone 1S-5900-SL Double
$15.5
Vintage Dan Mac Loud Ring Extension Bell School Gas Telephone 1S-5900-SL Double pictureVintage Collectible Mac Tool 12" Adjustable Wrench Made In USA Forged
$39.99
Vintage Collectible Mac Tool 12






Copyright 2004-2016 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.